import { myBtn } from "../../utils/dict";
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '我的', leftArrow: false, useBar: true },
        user: {

        },
        btnList: [],
    },
    // 跳转菜单
    tabPath(e) {
        let { route } = e.detail.detail;
        if (route) wx.redirectTo({ url: `/${route}` })
    },
    toCommon: function (e) {
        const { route, type } = e.currentTarget.dataset;
        // 自定义路径
        if (type == '0') { wx.navigateTo({ url: `${route}` }) }
        // 默认路径
        else if (type == '1') { wx.navigateTo({ url: `/pages/${route}/index` }) };
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        const that = this;
        that.watchLogin();
    },

    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'user',
            success: async (res) => {
                console.log('已登陆');
            },
            fail: async (res) => {
                console.log('未登陆');
                let user = { icon: '/image/icon.jpg', name: '顾红伟', phone: '12345678901', type: '1' }
                that.setData({ user: user })
                console.log(user);
            },
        });
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})